# org.apache.solr.client.solrj.impl

## Classes

- BinaryRequestWriter
- BinaryResponseParser
- CloudSolrServer
- ConcurrentUpdateSolrServer
- HttpClientConfigurer
- HttpClientUtil
- HttpSolrServer
- LBHttpSolrServer
- LBHttpSolrServer.Req
- LBHttpSolrServer.Rsp
- LBHttpSolrServer.ServerWrapper
- StreamingBinaryResponseParser
- XMLResponseParser

## Enums

- XMLResponseParser.KnownType

## Exceptions

- HttpSolrServer.RemoteSolrException